Skip to main content
`Ctrl`+`K`

# ISLocalToGlobalMappingCreateSF

Creates a mapping between a local (0 to n) ordering and a global parallel ordering induced by a star forest.

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISLocalToGlobalMappingCreateSF(PetscSF sf, PetscInt start, ISLocalToGlobalMapping *mapping)

Collective

## Input Parameters

- sf - star forest mapping contiguous local indices to (rank, offset)

- start - first global index on this process, or `PETSC_DECIDE` to compute contiguous global numbering automatically

## Output Parameter

- mapping - new mapping data structure

## Note

If a process calls this function with `start` = `PETSC_DECIDE` then all processes must, otherwise the program will hang.

## See Also

Low-level Vector Communication, `PetscSF`, `ISLocalToGlobalMappingDestroy()`, `ISLocalToGlobalMappingCreate()`, `ISLocalToGlobalMappingCreateIS()`, `ISLocalToGlobalMappingSetFromOptions()`

## Level

advanced

## Location

src/vec/is/utils/isltog.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages